%define		modname		revolution
%define		rubyabi		1.9.1
%define		repoid		4341

%define		mainver		0.5
%define		svnid		210

%define		fedorarel	4

##########################################
# For using svn: do
# $ svn checkout svn://rubyforge.org/var/svn/revolution/trunk/revolution
# $ mv revolution revolution-%%{mainver}-svn%%{svnid}
# $ zip -r revolution-%%{mainver}-svn%%{svnid}.zip revolution-%%{mainver}-svn%%{svnid}
##########################################

Name:		ruby-%{modname}
Version:	%{mainver}
Release:	%{fedorarel}%{?svnid:.svn%svnid}%{?dist}.14
Summary:	Ruby binding for the Evolution email client
Group:		Development/Languages

License:	BSD with advertising or GPLv2
URL:		http://revolution.rubyforge.org/
#Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{modname}-%{mainver}.zip
Source0:	%{modname}-%{mainver}-svn%{svnid}.zip
Patch0:		revolution-ruby-1.9.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	evolution-data-server-devel
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby
Provides:	ruby(%{modname}) = %{version}-%{release}

%description
Revolution is a Ruby binding for the Evolution email client. 
It's sponsored - i.e., written on work time and open sourced 
with a BSD or GPL license - by InfoEther.

%prep
%setup -q -n %{modname}-%{version}%{?svnid:-svn%{svnid}}
%patch0 -p0

find . -type f -exec %{__chmod} 0644 {} ';'
%{__rm} -rf www/CVS
find . -name .svn | sort -r | xargs %{__rm} -rf

%build
ruby extconf.rb --vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -c -p" \
	install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc *LICENSE
%doc README
%doc www/

%{ruby_vendorarchdir}/%{modname}.so

%changelog
* Wed Feb 29 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.5-4.svn210.14
- Rebuilt and patched for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4.svn210.13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 23 2011 Mamoru Tasaka <mtasaka@fedoraproject.org>
- F-17: rebuild against new e-d-s

* Sun Oct 30 2011 Bruno Wolff III <bruno@wolff.to>
- F-17: rebuild against new e-d-s

* Tue Aug 30 2011 Milan Crha <mcrha@redhat.com>
- F-17: sync version with f16 branch

* Mon Aug 29 2011 Milan Crha <mcrha@redhat.com>
- F-17: rebuild against new e-d-s

* Tue Aug 16 2011 Milan Crha <mcrha@redhat.com>
- F-17: rebuild against new e-d-s

* Mon Jul 25 2011 Mamoru Tasaka <mtasaka@fedoraproject.org>
- F-16: rebuild against new e-d-s

* Tue Jul  5 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-16: rebuild against new e-d-s

* Sat Jun 18 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-16: rebuild against new e-d-s

* Mon May 15 2011 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-16: rebuild against new e-d-s

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4.svn210.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 15 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild against new e-d-s

* Tue May 25 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild against new e-d-s

* Fri May  7 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild against new e-d-s

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-3.svn210
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-2.svn210
- %%global-ize "nested" macro

* Tue May 13 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-10: rebuild against new e-d-s

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43

* Thu Dec  6 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-1.svn210
- Use svn due to license issue

* Sun Nov 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-1
- Initial packaging

